Merge staging-next into staging

This commit is contained in:
github-actions[bot] 2021-06-17 18:04:45 +00:00 committed by GitHub
commit c9cc001679
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
40 changed files with 307 additions and 323 deletions

View File

@ -0,0 +1,79 @@
{ lib
, stdenv
, fetchgit
, autoreconfHook
, pkg-config
, wxGTK30-gtk3
, wxmac
, ffmpeg
, proj
, perl532
, unscii
, python
, libGL
, libGLU
, xlibsWrapper
, docbook2x
, docbook5
, Carbon
, Cocoa
}:
let
perlenv = perl532.withPackages (perlPackages: with perlPackages; [ LocalePO ] );
in
stdenv.mkDerivation rec {
pname = "survex";
version = "1.2.44";
nativeBuildInputs = [ docbook5 docbook2x autoreconfHook pkg-config perlenv python ];
buildInputs = [
libGL libGLU ffmpeg proj
] ++ lib.optionals stdenv.hostPlatform.isDarwin [
wxmac Carbon Cocoa
] ++ lib.optionals stdenv.hostPlatform.isLinux [
wxGTK30-gtk3 xlibsWrapper
];
src = fetchgit {
url = "git://git.survex.com/survex";
rev = version;
sha256 = "11gaqmabrf3av665jy3mr0m8hg76fmvnd0g3rghzmyh8d8v6xk34";
};
enableParallelBuilding = true;
# Docs rely on sgmltools-lite, a package that would be quite complex to
# provide as it is quite old. So this preConfigure hook effectively disables
# the doc generation. An example of packaging sgmltools-lite from Gentoo can
# be found here:
# https://gitweb.gentoo.org/repo/gentoo.git/tree/app-text/sgmltools-lite/sgmltools-lite-3.0.3-r15.ebuild?id=0b8b716331049599ea3299981e3a9ea6e258c5e0
postPatch = ''
patchShebangs .
echo "" > doc/Makefile.am
# substituteInPlace doc/Makefile --replace "docbook2man" "docbook2man --sgml" # Will be needed once sgmltools-lite is packaged.
for perltool in './extract-msgs.pl' './gettexttomsg.pl' '$(srcdir)/gdtconvert' '$(srcdir)/gen_img2aven'; do
substituteInPlace src/Makefile.am \
--replace "$perltool" "${perlenv}/bin/perl $perltool"
done
substituteInPlace lib/Makefile.am \
--replace '$(srcdir)/make-pixel-font' '${perlenv}/bin/perl $(srcdir)/make-pixel-font'
substituteInPlace lib/make-pixel-font --replace /usr/share/unifont/unifont.hex ${unscii.extra}/share/fonts/misc/unifont.hex
'';
meta = with lib; {
description = "Free Software/Open Source software package for mapping caves";
longDescription = ''
Survex is a Free Software/Open Source software package for mapping caves,
licensed under the GPL. It is designed to be portable and can be run on a
variety of platforms, including Linux/Unix, macOS, and Microsoft Windows.
'';
homepage = "https://survex.com/";
changelog = "https://github.com/ojwb/survex/blob/${version}/NEWS";
license = licenses.gpl2Plus;
maintainers = [ maintainers.matthewcroughan ];
platforms = platforms.all;
};
}

View File

@ -156,6 +156,43 @@ rec {
# Constructor for other terraform versions
mkTerraform = attrs: pluggable (generic attrs);
terraform_0_12 = mkTerraform {
version = "0.12.31";
sha256 = "03p698xdbk5gj0f9v8v1fpd74zng3948dyy4f2hv7zgks9hid7fg";
patches = [
./provider-path.patch
(fetchpatch {
name = "fix-mac-mojave-crashes.patch";
url = "https://github.com/hashicorp/terraform/commit/cd65b28da051174a13ac76e54b7bb95d3051255c.patch";
sha256 = "1k70kk4hli72x8gza6fy3vpckdm3sf881w61fmssrah3hgmfmbrs";
})
];
passthru = { inherit plugins; };
};
terraform_0_13 = mkTerraform {
version = "0.13.7";
sha256 = "1cahnmp66dk21g7ga6454yfhaqrxff7hpwpdgc87cswyq823fgjn";
patches = [ ./provider-path.patch ];
passthru = { inherit plugins; };
};
terraform_0_14 = mkTerraform {
version = "0.14.11";
sha256 = "1yi1jj3n61g1kn8klw6l78shd23q79llb7qqwigqrx3ki2mp279j";
vendorSha256 = "1d93aqkjdrvabkvix6h1qaxpjzv7w1wa7xa44czdnjs2lapx4smm";
patches = [ ./provider-path.patch ];
passthru = { inherit plugins; };
};
terraform_0_15 = mkTerraform {
version = "0.15.5";
sha256 = "18f4a6l24s3cym7gk40agxikd90i56q84wziskw1spy9rgv2yx6d";
vendorSha256 = "12hrpxay6k3kz89ihyhl91c4lw4wp821ppa245w9977fq09fhnx0";
patches = [ ./provider-path-0_15.patch ];
passthru = { inherit plugins; };
};
terraform_1_0 = mkTerraform {
version = "1.0.0";
sha256 = "sha256-ddcT/I2Qn1pKFyhXgh+CcD3fSv2steSNmjyyiS2SE/o=";

View File

@ -42,11 +42,11 @@ let
pname = "slack";
x86_64-darwin-version = "4.16.0";
x86_64-darwin-sha256 = "078f49sgazfa99vn0yyacfya3jl2vhqz7kgxh0qp56b66pnzwbxz";
x86_64-darwin-version = "4.17.0";
x86_64-darwin-sha256 = "0r5cafxw73qnn14ljprn7w8bfn67zbkcniq60k9pf2zbqgb4cyj9";
x86_64-linux-version = "4.16.0";
x86_64-linux-sha256 = "0dj5k7r044mibis0zymh6wryhbw2fzsch30nddfrnn6ij89hhirv";
x86_64-linux-version = "4.17.0";
x86_64-linux-sha256 = "07ccms58pq27ilkyhcf6cgwb7qrddwil5kgy8yv95ljikqzi5rxi";
version = {
x86_64-darwin = x86_64-darwin-version;

View File

@ -2,6 +2,11 @@
, fontforge, SDL, SDL_image, mkfontscale
}:
let
perlenv = perl.withPackages (p: with p; [
TextCharWidth
]);
in
stdenv.mkDerivation rec {
pname = "unscii";
version = "1.1";
@ -12,11 +17,23 @@ stdenv.mkDerivation rec {
};
nativeBuildInputs =
[ (perl.withPackages (p: [ p.TextCharWidth ]))
[ perlenv
bdftopcf fontforge SDL SDL_image
mkfontscale
];
# Fixes shebang -> wrapper problem on Darwin
postPatch = ''
for perltool in *.pl; do
substituteInPlace Makefile \
--replace "./$perltool" "${perlenv}/bin/perl ./$perltool"
done
'';
makeFlags = [
"CC=${stdenv.cc.targetPrefix}cc"
];
preConfigure = ''
patchShebangs .
'';

View File

@ -21,8 +21,8 @@ let
release_version = "13.0.0";
candidate = ""; # empty or "rcN"
dash-candidate = lib.optionalString (candidate != "") "-${candidate}";
rev = "50c0aaed47b518beea550a6858c2967eaeaef7eb"; # When using a Git commit
rev-version = "unstable-2021-06-04"; # When using a Git commit
rev = "643b6407faf460915679f304420cfbee87c47734"; # When using a Git commit
rev-version = "unstable-2021-06-11"; # When using a Git commit
version = if rev != "" then rev-version else "${release_version}${dash-candidate}";
targetConfig = stdenv.targetPlatform.config;
@ -30,7 +30,7 @@ let
owner = "llvm";
repo = "llvm-project";
rev = if rev != "" then rev else "llvmorg-${version}";
sha256 = "1w1ahcg707yh3xiy6y28b90ag03dwjplj0bg39l4w72krqr28661";
sha256 = "0b06qqbks20m1cy9g1k8y4w8vh9zcbh9ag2bpk9xgg2xkmbq42az";
};
llvm_meta = {

View File

@ -1,5 +1,5 @@
diff --git a/CMakeLists.txt b/CMakeLists.txt
index e5febba8043c..3cf530c341b0 100644
index 135036f509d2..265c36f8211b 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -270,15 +270,21 @@ if (CMAKE_BUILD_TYPE AND
@ -37,7 +37,7 @@ index e5febba8043c..3cf530c341b0 100644
CACHE STRING "OCamldoc-generated HTML documentation install directory")
option (LLVM_BUILD_EXTERNAL_COMPILER_RT
@@ -1046,7 +1052,7 @@ endif()
@@ -1048,7 +1054,7 @@ endif()
if (NOT LLVM_INSTALL_TOOLCHAIN_ONLY)
install(DIRECTORY include/llvm include/llvm-c
@ -46,7 +46,7 @@ index e5febba8043c..3cf530c341b0 100644
COMPONENT llvm-headers
FILES_MATCHING
PATTERN "*.def"
@@ -1057,7 +1063,7 @@ if (NOT LLVM_INSTALL_TOOLCHAIN_ONLY)
@@ -1059,7 +1065,7 @@ if (NOT LLVM_INSTALL_TOOLCHAIN_ONLY)
)
install(DIRECTORY ${LLVM_INCLUDE_DIR}/llvm ${LLVM_INCLUDE_DIR}/llvm-c
@ -55,7 +55,7 @@ index e5febba8043c..3cf530c341b0 100644
COMPONENT llvm-headers
FILES_MATCHING
PATTERN "*.def"
@@ -1071,13 +1077,13 @@ if (NOT LLVM_INSTALL_TOOLCHAIN_ONLY)
@@ -1073,13 +1079,13 @@ if (NOT LLVM_INSTALL_TOOLCHAIN_ONLY)
if (LLVM_INSTALL_MODULEMAPS)
install(DIRECTORY include/llvm include/llvm-c
@ -72,10 +72,10 @@ index e5febba8043c..3cf530c341b0 100644
RENAME "module.extern.modulemap"
)
diff --git a/cmake/modules/AddLLVM.cmake b/cmake/modules/AddLLVM.cmake
index 1c419cddbe93..fa0be670986b 100644
index 9c2b85374307..5531ceeb2eeb 100644
--- a/cmake/modules/AddLLVM.cmake
+++ b/cmake/modules/AddLLVM.cmake
@@ -801,9 +801,9 @@ macro(add_llvm_library name)
@@ -818,9 +818,9 @@ macro(add_llvm_library name)
get_target_export_arg(${name} LLVM export_to_llvmexports ${umbrella})
install(TARGETS ${name}
${export_to_llvmexports}
@ -88,7 +88,7 @@ index 1c419cddbe93..fa0be670986b 100644
if (NOT LLVM_ENABLE_IDE)
add_llvm_install_targets(install-${name}
@@ -1019,7 +1019,7 @@ function(process_llvm_pass_plugins)
@@ -1036,7 +1036,7 @@ function(process_llvm_pass_plugins)
"set(LLVM_STATIC_EXTENSIONS ${LLVM_STATIC_EXTENSIONS})")
install(FILES
${llvm_cmake_builddir}/LLVMConfigExtensions.cmake
@ -97,7 +97,7 @@ index 1c419cddbe93..fa0be670986b 100644
COMPONENT cmake-exports)
set(ExtensionDef "${LLVM_BINARY_DIR}/include/llvm/Support/Extension.def")
@@ -1233,7 +1233,7 @@ macro(add_llvm_example name)
@@ -1250,7 +1250,7 @@ macro(add_llvm_example name)
endif()
add_llvm_executable(${name} ${ARGN})
if( LLVM_BUILD_EXAMPLES )
@ -106,7 +106,7 @@ index 1c419cddbe93..fa0be670986b 100644
endif()
set_target_properties(${name} PROPERTIES FOLDER "Examples")
endmacro(add_llvm_example name)
@@ -1851,7 +1851,7 @@ function(llvm_install_library_symlink name dest type)
@@ -1868,7 +1868,7 @@ function(llvm_install_library_symlink name dest type)
set(full_name ${CMAKE_${type}_LIBRARY_PREFIX}${name}${CMAKE_${type}_LIBRARY_SUFFIX})
set(full_dest ${CMAKE_${type}_LIBRARY_PREFIX}${dest}${CMAKE_${type}_LIBRARY_SUFFIX})
@ -115,7 +115,7 @@ index 1c419cddbe93..fa0be670986b 100644
if(WIN32 AND "${type}" STREQUAL "SHARED")
set(output_dir bin)
endif()
@@ -1862,7 +1862,7 @@ function(llvm_install_library_symlink name dest type)
@@ -1879,7 +1879,7 @@ function(llvm_install_library_symlink name dest type)
endfunction()
@ -124,7 +124,7 @@ index 1c419cddbe93..fa0be670986b 100644
cmake_parse_arguments(ARG "ALWAYS_GENERATE" "COMPONENT" "" ${ARGN})
foreach(path ${CMAKE_MODULE_PATH})
if(EXISTS ${path}/LLVMInstallSymlink.cmake)
@@ -1885,7 +1885,7 @@ function(llvm_install_symlink name dest)
@@ -1902,7 +1902,7 @@ function(llvm_install_symlink name dest)
set(full_dest ${dest}${CMAKE_EXECUTABLE_SUFFIX})
install(SCRIPT ${INSTALL_SYMLINK}
@ -133,7 +133,7 @@ index 1c419cddbe93..fa0be670986b 100644
COMPONENT ${component})
if (NOT LLVM_ENABLE_IDE AND NOT ARG_ALWAYS_GENERATE)
@@ -1968,7 +1968,8 @@ function(add_llvm_tool_symlink link_name target)
@@ -1985,7 +1985,8 @@ function(add_llvm_tool_symlink link_name target)
endif()
if ((TOOL_IS_TOOLCHAIN OR NOT LLVM_INSTALL_TOOLCHAIN_ONLY) AND LLVM_BUILD_TOOLS)
@ -143,7 +143,7 @@ index 1c419cddbe93..fa0be670986b 100644
endif()
endif()
endfunction()
@@ -2097,9 +2098,9 @@ function(llvm_setup_rpath name)
@@ -2114,9 +2115,9 @@ function(llvm_setup_rpath name)
# Since BUILD_SHARED_LIBS is only recommended for use by developers,
# hardcode the rpath to build/install lib dir first in this mode.
# FIXME: update this when there is better solution.
@ -227,19 +227,19 @@ index 3e6a2c9a2648..52e14d955c60 100644
message(STATUS "Creating ${name}")
diff --git a/docs/CMake.rst b/docs/CMake.rst
index 589b09f28281..af43b082f755 100644
index f1ac2c7d4934..c6e1469b5e13 100644
--- a/docs/CMake.rst
+++ b/docs/CMake.rst
@@ -196,7 +196,7 @@ CMake manual, or execute ``cmake --help-variable VARIABLE_NAME``.
@@ -202,7 +202,7 @@ CMake manual, or execute ``cmake --help-variable VARIABLE_NAME``.
**LLVM_LIBDIR_SUFFIX**:STRING
Extra suffix to append to the directory where libraries are to be
installed. On a 64-bit architecture, one could use ``-DLLVM_LIBDIR_SUFFIX=64``
- to install libraries to ``/usr/lib64``.
+ to install libraries to ``/usr/lib64``. See also ``CMAKE_INSTALL_LIBDIR``.
**CMAKE_C_FLAGS**:STRING
Extra flags to use when compiling C source files.
@@ -555,8 +555,8 @@ LLVM-specific variables
Rarely-used CMake variables
---------------------------
@@ -551,8 +551,8 @@ LLVM-specific variables
**LLVM_INSTALL_DOXYGEN_HTML_DIR**:STRING
The path to install Doxygen-generated HTML documentation to. This path can
@ -248,47 +248,9 @@ index 589b09f28281..af43b082f755 100644
+ either be absolute or relative to the ``CMAKE_INSTALL_PREFIX``. Defaults to
+ `${CMAKE_INSTALL_DOCDIR}/${project}/doxygen-html`.
**LLVM_ENABLE_SPHINX**:BOOL
If specified, CMake will search for the ``sphinx-build`` executable and will make
@@ -587,13 +587,33 @@ LLVM-specific variables
**LLVM_INSTALL_SPHINX_HTML_DIR**:STRING
The path to install Sphinx-generated HTML documentation to. This path can
- either be absolute or relative to the CMAKE_INSTALL_PREFIX. Defaults to
- `share/doc/llvm/html`.
+ either be absolute or relative to the ``CMAKE_INSTALL_PREFIX``. Defaults to
+ `${CMAKE_INSTALL_DOCDIR}/${project}/html`.
**LLVM_INSTALL_OCAMLDOC_HTML_DIR**:STRING
The path to install OCamldoc-generated HTML documentation to. This path can
- either be absolute or relative to the CMAKE_INSTALL_PREFIX. Defaults to
- `share/doc/llvm/ocaml-html`.
+ either be absolute or relative to the ``CMAKE_INSTALL_PREFIX``. Defaults to
+ `${CMAKE_INSTALL_DOCDIR}/${project}/ocaml-html`.
+
+**CMAKE_INSTALL_BINDIR**:STRING
+ The path to install binary tools, relative to the ``CMAKE_INSTALL_PREFIX``.
+ Defaults to `bin`.
+
+**CMAKE_INSTALL_LIBDIR**:STRING
+ The path to install libraries, relative to the ``CMAKE_INSTALL_PREFIX``.
+ Defaults to `lib`.
+
+**CMAKE_INSTALL_INCLUDEDIR**:STRING
+ The path to install header files, relative to the ``CMAKE_INSTALL_PREFIX``.
+ Defaults to `include`.
+
+**CMAKE_INSTALL_DOCDIR**:STRING
+ The path to install documentation, relative to the ``CMAKE_INSTALL_PREFIX``.
+ Defaults to `share/doc`.
+
+**CMAKE_INSTALL_MANDIR**:STRING
+ The path to install manpage files, relative to the ``CMAKE_INSTALL_PREFIX``.
+ Defaults to `share/man`.
**LLVM_CREATE_XCODE_TOOLCHAIN**:BOOL
macOS Only: If enabled CMake will generate a target named
@@ -791,9 +811,11 @@ the ``cmake`` command or by setting it directly in ``ccmake`` or ``cmake-gui``).
**LLVM_LINK_LLVM_DYLIB**:BOOL
If enabled, tools will be linked with the libLLVM shared library. Defaults
@@ -792,9 +792,11 @@ the ``cmake`` command or by setting it directly in ``ccmake`` or ``cmake-gui``).
This file is available in two different locations.
@ -379,11 +341,11 @@ index 1a2f04552d13..44fa7d3eec6b 100644
}
diff --git a/tools/lto/CMakeLists.txt b/tools/lto/CMakeLists.txt
index 2963f97cad88..69d66c9c9ca1 100644
index 0af29ad762c5..37b99b83e35c 100644
--- a/tools/lto/CMakeLists.txt
+++ b/tools/lto/CMakeLists.txt
@@ -25,7 +25,7 @@ add_llvm_library(LTO SHARED INSTALL_WITH_TOOLCHAIN ${SOURCES} DEPENDS
intrinsics_gen)
@@ -33,7 +33,7 @@ add_llvm_library(${LTO_LIBRARY_NAME} ${LTO_LIBRARY_TYPE} INSTALL_WITH_TOOLCHAIN
${SOURCES} DEPENDS intrinsics_gen)
install(FILES ${LLVM_MAIN_INCLUDE_DIR}/llvm-c/lto.h
- DESTINATION include/llvm-c

View File

@ -34,16 +34,6 @@ in stdenv.mkDerivation (rec {
'' + lib.optionalString (stdenv.hostPlatform.isAarch32 && stdenv.hostPlatform.isMusl) ''
ln -s src/syscfg/lock-obj-pub.arm-unknown-linux-gnueabi.h src/syscfg/lock-obj-pub.arm-unknown-linux-musleabihf.h
ln -s src/syscfg/lock-obj-pub.arm-unknown-linux-gnueabi.h src/syscfg/lock-obj-pub.linux-musleabihf.h
''
# This file was accidentally excluded from the sdist until
# 013720333c6ec1d38791689bc49ba039d98e16b3, post release.
# TODO make unconditional next mass rebuild
+ lib.optionalString (stdenv.buildPlatform != stdenv.hostPlatform) ''
cp ${fetchurl {
url = "https://raw.githubusercontent.com/gpg/libgpg-error/50e62b36ea01ed25d12c443088b85d4f41a2b3e1/src/gen-lock-obj.sh";
sha256 = "10cslipa6npalj869asaamj0w941dhmx0yjafpyyh69ypsg2m2c3";
}} ./src/gen-lock-obj.sh
chmod +x ./src/gen-lock-obj.sh
'';
outputs = [ "out" "dev" "info" ];

View File

@ -7,14 +7,14 @@
buildPythonPackage rec {
pname = "ailment";
version = "9.0.7912";
version = "9.0.8021";
disabled = pythonOlder "3.6";
src = fetchFromGitHub {
owner = "angr";
repo = pname;
rev = "v${version}";
sha256 = "sha256-q1mi8ZNvjb3XM3le4ysy58bb978102OFKypTp9mSzxo=";
sha256 = "sha256-DeQvYuVRYOxyVPqHzTSNtEUUN4tHhSVMZoex6SUWik8=";
};
propagatedBuildInputs = [ pyvex ];

View File

@ -16,7 +16,6 @@
buildPythonPackage rec {
pname = "aioguardian";
version = "1.0.7";
disabled = pythonAtLeast "3.9";
src = fetchFromGitHub {
owner = "bachya";

View File

@ -13,7 +13,6 @@ buildPythonPackage rec {
pname = "aiohomekit";
version = "0.2.67";
format = "pyproject";
disabled = pythonAtLeast "3.9";
src = fetchFromGitHub {
owner = "Jc2k";

View File

@ -42,14 +42,14 @@ in
buildPythonPackage rec {
pname = "angr";
version = "9.0.7912";
version = "9.0.8021";
disabled = pythonOlder "3.6";
src = fetchFromGitHub {
owner = pname;
repo = pname;
rev = "v${version}";
sha256 = "sha256-261fk0JM37Hq+xsMF95VqLyidWE4ZUeygp8BP/DBXG4=";
sha256 = "sha256-brX/HdeZSPOnZKuD1v086GwyWSV8yA/FaMC3CbeI4Xk=";
};
propagatedBuildInputs = [

View File

@ -9,14 +9,14 @@
buildPythonPackage rec {
pname = "angrop";
version = "9.0.7912";
version = "9.0.8021";
disabled = pythonOlder "3.6";
src = fetchFromGitHub {
owner = "angr";
repo = pname;
rev = "v${version}";
sha256 = "sha256-nbVvgbTk9LFA376alu4Cxqcu9b9CT9yutnfE5fVT8gY=";
sha256 = "sha256-wkCgVVHulu1hGdbUSEi38aMWy2UfR3g/7jj+o+NLI44=";
};
propagatedBuildInputs = [

View File

@ -7,13 +7,13 @@
buildPythonPackage rec {
pname = "archinfo";
version = "9.0.7912";
version = "9.0.8021";
src = fetchFromGitHub {
owner = "angr";
repo = pname;
rev = "v${version}";
sha256 = "sha256-nHXF6Il6rHHrnGYEmv4FPQr6MsurzH1exkJS9UXThBs=";
sha256 = "sha256-j8sPrSaKam5gv1ZlTA3fF1u3UMei9jy843O0n8Hsibc=";
};
checkInputs = [

View File

@ -13,14 +13,14 @@
buildPythonPackage rec {
pname = "claripy";
version = "9.0.7912";
version = "9.0.8021";
disabled = pythonOlder "3.6";
src = fetchFromGitHub {
owner = "angr";
repo = pname;
rev = "v${version}";
sha256 = "sha256-p9i3ajN/CpLdwcg8HLhtION0ghgs1fcnqjzUrxu1wDw=";
sha256 = "sha256-btV6J5r4ogb4yC0G3lyXXkCTnx55nfBkWFH1wgiWtjs=";
};
# Use upstream z3 implementation

View File

@ -15,7 +15,7 @@
let
# The binaries are following the argr projects release cycle
version = "9.0.7912";
version = "9.0.8021";
# Binary files from https://github.com/angr/binaries (only used for testing and only here)
binaries = fetchFromGitHub {
@ -35,7 +35,7 @@ buildPythonPackage rec {
owner = "angr";
repo = pname;
rev = "v${version}";
sha256 = "sha256-AHJk40uRhrlQbfzRmMJXremKxnxjpmxLLAAYxNV9vkc=";
sha256 = "sha256-pgOeNAzAq2x7MEnheV6txmXISFY/0sWw4cVzs51k4eM=";
};
propagatedBuildInputs = [

View File

@ -0,0 +1,41 @@
{ lib
, buildPythonPackage
, fetchFromGitHub
, aiohttp
, yarl
, aresponses
, pytest-asyncio
, pytestCheckHook
}:
buildPythonPackage rec {
pname = "directv";
version = "0.4.0";
src = fetchFromGitHub {
owner = "ctalkington";
repo = "python-directv";
rev = version;
sha256 = "19jckf6qvl8fwi8yff1qy8c44xdz3zpi1ip1md6zl2c503qc91mk";
};
propagatedBuildInputs = [
aiohttp
yarl
];
checkInputs = [
aresponses
pytest-asyncio
pytestCheckHook
];
pythonImportsCheck = [ "directv" ];
meta = with lib; {
description = "Asynchronous Python client for DirecTV (SHEF)";
homepage = "https://github.com/ctalkington/python-directv";
license = licenses.mit;
maintainers = with maintainers; [ dotlambda ];
};
}

View File

@ -14,7 +14,6 @@
buildPythonPackage rec {
pname = "pytile";
version = "5.2.1";
disabled = pythonAtLeast "3.9";
src = fetchFromGitHub {
owner = "bachya";

View File

@ -11,11 +11,11 @@
buildPythonPackage rec {
pname = "pyvex";
version = "9.0.7912";
version = "9.0.8021";
src = fetchPypi {
inherit pname version;
sha256 = "sha256-KqTfu49Muicr5oJcXcoYpz3S7+0hk7dxbU7GMCDlJQA=";
sha256 = "sha256-Bx6A258LgmmRBbrwY2pgf0DXdMwh9QjaA4sVbxj+kBo=";
};
postPatch = lib.optionalString stdenv.isDarwin ''

View File

@ -8,12 +8,12 @@
buildPythonPackage rec {
pname = "typing-inspect";
version = "0.6.0";
version = "0.7.1";
src = fetchPypi {
inherit version;
pname = "typing_inspect";
sha256 = "1dzs9a1pr23dhbvmnvms2jv7l7jk26023g5ysf0zvnq8b791s6wg";
sha256 = "1al2lyi3r189r5xgw90shbxvd88ic4si9w7n3d9lczxiv6bl0z84";
};
propagatedBuildInputs = [
@ -26,6 +26,5 @@ buildPythonPackage rec {
homepage = "https://github.com/ilevkivskyi/typing_inspect";
license = licenses.mit;
maintainers = with maintainers; [ albakham ];
broken = isPy39; # see https://github.com/ilevkivskyi/typing_inspect/issues/65
};
}

View File

@ -5,16 +5,16 @@
buildGoModule rec {
pname = "bazel-remote";
version = "2.0.1";
version = "2.1.0";
src = fetchFromGitHub {
owner = "buchgr";
repo = pname;
rev = "v${version}";
sha256 = "193amcx4nk7mr51jcawym46gizqmfkvksjxm64pf7s3wraf00v01";
sha256 = "sha256-GpbweI/grJNIRg/7lFd4tMhr9E2SPX+YUrzPJs0Gsik=";
};
vendorSha256 = "1sxv9mya8plkn3hpjgfpzgwlh4m3cbhpywqv86brj2h9i4ad0gl5";
vendorSha256 = "sha256-dXBGWTgUaVJCwf2LB1QdmSPP3BlKqZ28HUnq1oervNg=";
doCheck = false;

View File

@ -2,16 +2,16 @@
buildGoModule rec {
pname = "earthly";
version = "0.5.16";
version = "0.5.17";
src = fetchFromGitHub {
owner = "earthly";
repo = "earthly";
rev = "v${version}";
sha256 = "sha256-p2O9GkXrRCxgOnVVmtBFUpbg0w9b3LB0PNOlK1gxYAY=";
sha256 = "sha256-SuHHeO2KFjB3HbLv1ODBGaXzNaDi/FNPOGg/lX8JLJE=";
};
vendorSha256 = "sha256-avxNVTPcJ5HjeN7Q9rVmmSud1i3Yb8cSFTAUtNPYbBg=";
vendorSha256 = "sha256-D62fG+T3G1W7xteSGlTtEkXbQfGAmBTYJeATH2CVtwY=";
buildFlagsArray = ''
-ldflags=

View File

@ -11,16 +11,16 @@
rustPlatform.buildRustPackage rec {
pname = "cargo-msrv";
version = "0.6.0";
version = "0.7.0";
src = fetchFromGitHub {
owner = "foresterre";
repo = pname;
rev = "v${version}";
sha256 = "sha256-DpgZrKy2rEKnI0/t4l3sDtNUhAwwFFSzq4CdRFqAkzY=";
sha256 = "sha256-yTUYMLVjzbuHqQxW68snxQ0CzoOwEBGXWFR/4yfDZ34=";
};
cargoSha256 = "sha256-ny8EA3dkirxEiFYiSFRxHnjf3mVO2LCWVR8fPHX87Ek=";
cargoSha256 = "sha256-WXvl+Xbu/oGTEFhbn6GuLoiNX+DxwhtT6cuucCOQsC4=";
passthru = {
updateScript = nix-update-script {

View File

@ -175,7 +175,7 @@
"dialogflow" = ps: with ps; [ aiohttp-cors ];
"digital_ocean" = ps: with ps; [ digital-ocean ];
"digitalloggers" = ps: with ps; [ ]; # missing inputs: dlipower
"directv" = ps: with ps; [ ]; # missing inputs: directv
"directv" = ps: with ps; [ directv ];
"discogs" = ps: with ps; [ discogs_client ];
"discord" = ps: with ps; [ discordpy ];
"discovery" = ps: with ps; [ aiohttp-cors ifaddr netdisco zeroconf ];

View File

@ -134,19 +134,6 @@ let
});
})
# Remove after https://github.com/NixOS/nixpkgs/pull/121854 has passed staging-next
(self: super: {
sqlalchemy = super.sqlalchemy.overridePythonAttrs (oldAttrs: rec {
version = "1.4.13";
src = oldAttrs.src.override {
inherit version;
sha256 = "0npsg38d11skv04zvsi90j93f6jdgm8666ds2ri7shr1pz1732hx";
};
patches = [];
propagatedBuildInputs = [ python3.pkgs.greenlet ];
});
})
# home-assistant-frontend does not exist in python3.pkgs
(self: super: {
home-assistant-frontend = self.callPackage ./frontend.nix { };
@ -355,6 +342,7 @@ in with py.pkgs; buildPythonApplication rec {
"dexcom"
"dhcp"
"dialogflow"
"directv"
"discovery"
"dsmr"
"dte_energy_bridge"
@ -783,6 +771,8 @@ in with py.pkgs; buildPythonApplication rec {
# onboarding tests rpi_power component, for which we are lacking rpi_bad_power library
"test_onboarding_core_sets_up_rpi_power"
"test_onboarding_core_no_rpi_power"
# hue/test_sensor_base.py: Race condition when counting events
"test_hue_events"
];
preCheck = ''

View File

@ -20,31 +20,25 @@ let
mv $out/webapps $webapps/
'';
meta = {
meta = with lib; {
homepage = "https://tomcat.apache.org/";
description = "An implementation of the Java Servlet and JavaServer Pages technologies";
platforms = with lib.platforms; all;
maintainers = with lib.maintainers; [ danbst ];
license = [ lib.licenses.asl20 ];
platforms = platforms.all;
maintainers = [ ];
license = [ licenses.asl20 ];
};
});
in {
tomcat7 = common {
versionMajor = "7";
versionMinor = "0.100";
sha256 = "0wjjnvxjz0xbnsfgyp0xc7nlij4z093v54hg59vww2nmkz5mg01v";
};
tomcat8 = common {
versionMajor = "8";
versionMinor = "5.51";
sha256 = "1zmg0hi4nw4y5sknd0jgq9lb3bncjjscay5fdiiq3qh5cs0wsvl3";
};
tomcat9 = common {
versionMajor = "9";
versionMinor = "0.31";
sha256 = "0hybcy280qhhp9if58xw0rmyyqz1m1bzby7qnwz3y2wc1y4is48v";
versionMinor = "0.46";
sha256 = "02p1d7xkmfna5brwi5imjz83g5va1g6fxkiaj4q22l8jpkr6xf6h";
};
tomcat10 = common {
versionMajor = "10";
versionMinor = "0.6";
sha256 = "1bpcxpsfws3b8ykq53vrcx3f04mvs5if80p329jm3x2dvdvj3d9n";
};
}

View File

@ -2,11 +2,11 @@
stdenv.mkDerivation rec {
pname = "tomcat-native";
version = "1.2.28";
version = "1.2.30";
src = fetchurl {
url = "mirror://apache/tomcat/tomcat-connectors/native/${version}/source/${pname}-${version}-src.tar.gz";
sha512 = "16b8659dcd228ea153d05c9ae19e3d97add944315f3b8b42905162d0e4e8a28fd51a172d59d7da8508271ecad0b8ac025a386895565acaf8e2ba11fba77492bb";
sha512 = "51a8c55214de166cace193c3330abe77cabea56c2d05efc8c3408bc06369c328899376c94c572725ebe2887f2faf99fea05d1819fa84c712d57fd309d0476953";
};
sourceRoot = "${pname}-${version}-src/native";

View File

@ -6,7 +6,7 @@ grafanaPlugin rec {
zipHash = "sha256-80JaMhY/EduSWvFrScfua99DGhT/FJUqY/kl0CafKCs=";
meta = with lib; {
description = "Clock panel for Grafana";
license = licenses.asl20;
license = licenses.mit;
maintainers = with maintainers; [ lukegb ];
platforms = platforms.unix;
};

View File

@ -2,11 +2,11 @@
grafanaPlugin rec {
pname = "grafana-piechart-panel";
version = "1.6.1";
zipHash = "sha256-64K/efoBKuBFp8Jw79hTdMyTurTZsL0qfgPDcUWz2jg=";
version = "1.6.2";
zipHash = "sha256-xKyVT092Ffgzl0BewQw5iZ14I/q6CviUR5t9BVM0bf0=";
meta = with lib; {
description = "Pie chart panel for Grafana";
license = licenses.asl20;
license = licenses.mit;
maintainers = with maintainers; [ lukegb ];
platforms = platforms.unix;
};

View File

@ -2,11 +2,11 @@
grafanaPlugin rec {
pname = "grafana-worldmap-panel";
version = "0.3.2";
zipHash = "sha256-MGAJzS9X91x6wt305jH1chLoW3zd7pIYDwRnPg9qrgE=";
version = "0.3.3";
zipHash = "sha256-3n1p3SvcBQMmnbnHimLBP7hauVV1IS3SMwttUWTNvb8=";
meta = with lib; {
description = "World Map panel for Grafana";
license = licenses.asl20;
license = licenses.mit;
maintainers = with maintainers; [ lukegb ];
platforms = platforms.unix;
};

View File

@ -2,13 +2,13 @@
buildGoPackage rec {
pname = "exoscale-cli";
version = "1.31.0";
version = "1.32.0";
src = fetchFromGitHub {
owner = "exoscale";
repo = "cli";
rev = "v${version}";
sha256 = "sha256-2CK/W8h0xfReqYt4a3qQ88Ydr8u9Ky6DfttJJaGu9kM=";
sha256 = "sha256-SQWGFF43J730XFj32ZU2N8PQMP2yIiSLLfEIAbeJvBg=";
};
goPackagePath = "github.com/exoscale/cli";

View File

@ -2,16 +2,16 @@
buildGoModule rec {
pname = "chezmoi";
version = "2.0.13";
version = "2.0.14";
src = fetchFromGitHub {
owner = "twpayne";
repo = "chezmoi";
rev = "v${version}";
sha256 = "sha256-ApgprU8PC5sn62D6eM1JG3s4DD2+e8SfyPpiC/6ANmQ=";
sha256 = "sha256-nOXp7NdSZaWivrYd6TsmTtS2c8eBvEY7Ba0zZEEEI0A=";
};
vendorSha256 = "sha256-07v+JzOYtfaaL2M/z5FOWlhhaEwWwc0wui3RLynP5N8=";
vendorSha256 = "sha256-7SfqBxCfOYwePK/6SsWS5StuVr0png6WjQXIDuQW0EE=";
doCheck = false;

View File

@ -2,13 +2,13 @@
stdenv.mkDerivation rec {
pname = "fsmon";
version = "1.8.2";
version = "1.8.4";
src = fetchFromGitHub {
owner = "nowsecure";
repo = "fsmon";
rev = version;
sha256 = "0y0gqb07girhz3r7gn9yrrysvhj5fapdafim0q8n7krk5y23hmh0";
sha256 = "sha256-4KF8h+YdCMrF9Yk/9y71WqNjzyoEZnddriDZAdpIaa4=";
};
installPhase = ''

View File

@ -1,113 +0,0 @@
From b0b784b1a57c0b06936e6f5d6560712b4b810cd3 Mon Sep 17 00:00:00 2001
From: Brett Cornwall <brett@i--b.com>
Date: Wed, 27 Feb 2019 00:08:33 -0700
Subject: clip: Add support for wl-clipboard
Edited to properly apply with
`set-correct-program-name-for-sleep.patch`.
---
README | 4 +++-
man/pass.1 | 5 +++++
src/password-store.sh | 26 +++++++++++++++++++++-----
3 files changed, 29 insertions(+), 6 deletions(-)
diff --git a/README b/README
index 6b59965..1a46242 100644
--- a/README
+++ b/README
@@ -19,8 +19,10 @@ Depends on:
http://www.gnupg.org/
- git
http://www.git-scm.com/
-- xclip
+- xclip (for X11 environments)
http://sourceforge.net/projects/xclip/
+- wl-clipboard (for wlroots Wayland-based environments)
+ https://github.com/bugaevc/wl-clipboard
- tree >= 1.7.0
http://mama.indstate.edu/users/ice/tree/
- GNU getopt
diff --git a/man/pass.1 b/man/pass.1
index 01a3fbe..a555dcb 100644
--- a/man/pass.1
+++ b/man/pass.1
@@ -99,6 +99,8 @@ Decrypt and print a password named \fIpass-name\fP. If \fI--clip\fP or \fI-c\fP
is specified, do not print the password but instead copy the first (or otherwise specified)
line to the clipboard using
.BR xclip (1)
+or
+.BR wl-clipboard(1)
and then restore the clipboard after 45 (or \fIPASSWORD_STORE_CLIP_TIME\fP) seconds. If \fI--qrcode\fP
or \fI-q\fP is specified, do not print the password but instead display a QR code using
.BR qrencode (1)
@@ -132,6 +134,8 @@ in generating passwords can be changed with the \fIPASSWORD_STORE_CHARACTER_SET\
If \fI--clip\fP or \fI-c\fP is specified, do not print the password but instead copy
it to the clipboard using
.BR xclip (1)
+or
+.BR wl-clipboard(1)
and then restore the clipboard after 45 (or \fIPASSWORD_STORE_CLIP_TIME\fP) seconds. If \fI--qrcode\fP
or \fI-q\fP is specified, do not print the password but instead display a QR code using
.BR qrencode (1)
@@ -466,6 +470,7 @@ The location of the text editor used by \fBedit\fP.
.BR tr (1),
.BR git (1),
.BR xclip (1),
+.BR wl-clipboard (1),
.BR qrencode (1).
.SH AUTHOR
diff --git a/src/password-store.sh b/src/password-store.sh
index d89d455..284eabf 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -152,16 +152,32 @@ check_sneaky_paths() {
#
clip() {
+ if [[ -n $WAYLAND_DISPLAY ]]; then
+ local copy_cmd=( wl-copy )
+ local paste_cmd=( wl-paste -n )
+ if [[ $X_SELECTION == primary ]]; then
+ copy_cmd+=( --primary )
+ paste_cmd+=( --primary )
+ fi
+ local display_name="$WAYLAND_DISPLAY"
+ elif [[ -n $DISPLAY ]]; then
+ local copy_cmd=( xclip -selection "$X_SELECTION" )
+ local paste_cmd=( xclip -o -selection "$X_SELECTION" )
+ local display_name="$DISPLAY"
+ else
+ die "Error: No X11 or Wayland display detected"
+ fi
+ local sleep_argv0="password store sleep on display $display_name"
+
# This base64 business is because bash cannot store binary data in a shell
# variable. Specifically, it cannot store nulls nor (non-trivally) store
# trailing new lines.
- local sleep_argv0="password store sleep on display $DISPLAY"
pkill -P $(pgrep -f "^$sleep_argv0") 2>/dev/null && sleep 0.5
- local before="$(xclip -o -selection "$X_SELECTION" 2>/dev/null | $BASE64)"
- echo -n "$1" | xclip -selection "$X_SELECTION" || die "Error: Could not copy data to the clipboard"
+ local before="$("${paste_cmd[@]}" 2>/dev/null | $BASE64)"
+ echo -n "$1" | "${copy_cmd[@]}" || die "Error: Could not copy data to the clipboard"
(
( exec -a "$sleep_argv0" bash <(echo trap 'kill %1' TERM\; sleep "$CLIP_TIME & wait") )
- local now="$(xclip -o -selection "$X_SELECTION" | $BASE64)"
+ local now="$("${paste_cmd[@]}" | $BASE64)"
[[ $now != $(echo -n "$1" | $BASE64) ]] && before="$now"
# It might be nice to programatically check to see if klipper exists,
@@ -173,7 +189,7 @@ clip() {
# so we axe it here:
qdbus org.kde.klipper /klipper org.kde.klipper.klipper.clearClipboardHistory &>/dev/null
- echo "$before" | $BASE64 -d | xclip -selection "$X_SELECTION"
+ echo "$before" | $BASE64 -d | "${copy_cmd[@]}"
) >/dev/null 2>&1 & disown
echo "Copied $2 to clipboard. Will clear in $CLIP_TIME seconds."
}
--
cgit v1.2.1-28-gf32c

View File

@ -3,8 +3,9 @@
, which, procps , qrencode , makeWrapper, pass, symlinkJoin
, xclip ? null, xdotool ? null, dmenu ? null
, x11Support ? !stdenv.isDarwin , dmenuSupport ? x11Support
, x11Support ? !stdenv.isDarwin , dmenuSupport ? (x11Support || waylandSupport)
, waylandSupport ? false, wl-clipboard ? null
, ydotool ? null, dmenu-wayland ? null
# For backwards-compatibility
, tombPluginSupport ? false
@ -13,13 +14,15 @@
with lib;
assert x11Support -> xclip != null;
assert dmenuSupport -> dmenu != null
&& xdotool != null
&& x11Support;
assert waylandSupport -> wl-clipboard != null;
assert dmenuSupport -> x11Support || waylandSupport;
assert dmenuSupport && x11Support
-> dmenu != null && xdotool != null;
assert dmenuSupport && waylandSupport
-> dmenu-wayland != null && ydotool != null;
let
passExtensions = import ./extensions { inherit pkgs; };
@ -52,21 +55,18 @@ let
in
stdenv.mkDerivation rec {
version = "1.7.3";
version = "1.7.4";
pname = "password-store";
src = fetchurl {
url = "https://git.zx2c4.com/password-store/snapshot/${pname}-${version}.tar.xz";
sha256 = "1x53k5dn3cdmvy8m4fqdld4hji5n676ksl0ql4armkmsds26av1b";
sha256 = "1h4k6w7g8pr169p5w9n6mkdhxl3pw51zphx7www6pvgjb7vgmafg";
};
patches = [
./set-correct-program-name-for-sleep.patch
./extension-dir.patch
] ++ lib.optional stdenv.isDarwin ./no-darwin-getopt.patch
# TODO (@Ma27) this patch adds support for wl-clipboard and can be removed during the next
# version bump.
++ lib.optional waylandSupport ./clip-wayland-support.patch;
] ++ lib.optional stdenv.isDarwin ./no-darwin-getopt.patch;
nativeBuildInputs = [ makeWrapper ];
@ -74,8 +74,7 @@ stdenv.mkDerivation rec {
postInstall = ''
# Install Emacs Mode. NOTE: We can't install the necessary
# dependencies (s.el and f.el) here. The user has to do this
# himself.
# dependencies (s.el) here. The user has to do this themselves.
mkdir -p "$out/share/emacs/site-lisp"
cp "contrib/emacs/password-store.el" "$out/share/emacs/site-lisp/"
'' + optionalString dmenuSupport ''
@ -96,8 +95,10 @@ stdenv.mkDerivation rec {
procps
] ++ optional stdenv.isDarwin openssl
++ optional x11Support xclip
++ optionals dmenuSupport [ xdotool dmenu ]
++ optional waylandSupport wl-clipboard);
++ optional waylandSupport wl-clipboard
++ optionals (waylandSupport && dmenuSupport) [ ydotool dmenu-wayland ]
++ optionals (x11Support && dmenuSupport) [ xdotool dmenu ]
);
postFixup = ''
# Fix program name in --help

View File

@ -1,9 +1,11 @@
diff -Naur password-store-1.6.5-orig/src/platform/darwin.sh password-store-1.6.5/src/platform/darwin.sh
--- password-store-1.6.5-orig/src/platform/darwin.sh 2015-01-28 16:43:02.000000000 +0000
+++ password-store-1.6.5/src/platform/darwin.sh 2015-02-15 16:09:02.000000000 +0000
@@ -31,5 +31,4 @@
mount -t hfs -o noatime -o nobrowse "$DARWIN_RAMDISK_DEV" "$SECURE_TMPDIR" || die "Error: could not mount filesystem on ramdisk."
diff --git a/src/platform/darwin.sh b/src/platform/darwin.sh
index f6cc471..e2e8bba 100644
--- a/src/platform/darwin.sh
+++ b/src/platform/darwin.sh
@@ -39,6 +39,5 @@ qrcode() {
fi
}
-GETOPT="$(brew --prefix gnu-getopt 2>/dev/null || { which port &>/dev/null && echo /opt/local; } || echo /usr/local)/bin/getopt"
-GETOPT="$({ test -x /usr/local/opt/gnu-getopt/bin/getopt && echo /usr/local/opt/gnu-getopt; } || brew --prefix gnu-getopt 2>/dev/null || { which port &>/dev/null && echo /opt/local; } || echo /usr/local)/bin/getopt"
SHRED="srm -f -z"
BASE64="openssl base64"

View File

@ -5,29 +5,10 @@ Subject: [PATCH] Patch the clip() function to work even when using
single-binary coreutils
---
src/password-store.sh | 4 ++--
src/platform/cygwin.sh | 4 ++--
src/platform/darwin.sh | 4 ++--
3 files changed, 6 insertions(+), 6 deletions(-)
diff --git a/src/password-store.sh b/src/password-store.sh
index 7264ffc..68551a4 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -155,11 +155,11 @@ clip() {
# variable. Specifically, it cannot store nulls nor (non-trivally) store
# trailing new lines.
local sleep_argv0="password store sleep on display $DISPLAY"
- pkill -f "^$sleep_argv0" 2>/dev/null && sleep 0.5
+ pkill -P $(pgrep -f "^$sleep_argv0") 2>/dev/null && sleep 0.5
local before="$(xclip -o -selection "$X_SELECTION" 2>/dev/null | $BASE64)"
echo -n "$1" | xclip -selection "$X_SELECTION" || die "Error: Could not copy data to the clipboard"
(
- ( exec -a "$sleep_argv0" bash <<<"trap 'kill %1' TERM; sleep '$CLIP_TIME' & wait" )
+ ( exec -a "$sleep_argv0" bash <(echo trap 'kill %1' TERM\; sleep "$CLIP_TIME & wait") )
local now="$(xclip -o -selection "$X_SELECTION" | $BASE64)"
[[ $now != $(echo -n "$1" | $BASE64) ]] && before="$now"
diff --git a/src/platform/cygwin.sh b/src/platform/cygwin.sh
index 5a8d5ea..423e0ce 100644
--- a/src/platform/cygwin.sh

View File

@ -11,13 +11,13 @@
stdenv.mkDerivation rec {
pname = "thinkfan";
version = "1.2.1";
version = "1.2.2";
src = fetchFromGitHub {
owner = "vmatare";
repo = "thinkfan";
rev = version;
sha256 = "18vgm5w5pjnpipa34j4x87q10695w2jnqwvc2f027afy7mnzw7kz";
sha256 = "01l1pnj1cgy3dwgyys2s5iqzyv6kk47vlpy09qjafk8py21ijik3";
};
postPatch = ''

View File

@ -818,10 +818,6 @@ mapAliases ({
telepathy_salut = telepathy-salut; # added 2018-02-25
telnet = inetutils; # added 2018-05-15
terraform_1_0_0 = terraform_1_0; # added 2021-06-15
terraform_0_12 = throw "terraform 0.12 has been removed"; # added 2021-06-15
terraform_0_13 = throw "terraform 0.13 has been removed"; # added 2021-06-15
terraform_0_14 = throw "terraform 0.14 has been removed"; # added 2021-06-15
terraform_0_15 = throw "terraform 0.15 has been removed"; # added 2021-06-15
terraform-provider-ibm = terraform-providers.ibm; # added 2018-09-28
terraform-provider-libvirt = terraform-providers.libvirt; # added 2018-09-28
terraform-provider-lxd = terraform-providers.lxd; # added 2020-03-16
@ -834,7 +830,9 @@ mapAliases ({
tex-gyre-termes-math = tex-gyre-math.termes; # added 2018-04-03
tftp_hpa = tftp-hpa; # added 2015-04-03
timescale-prometheus = promscale; # added 2020-09-29
tomcat85 = tomcat8; # added 2020-03-11
tomcat7 = throw "tomcat7 has been removed from nixpkgs as it has reached end of life."; # added 2022-06-16
tomcat8 = throw "tomcat8 has been removed from nixpkgs as it has reached end of life."; # added 2022-06-16
tomcat85 = throw "tomcat85 has been removed from nixpkgs as it has reached end of life."; # added 2020-03-11
torbrowser = tor-browser-bundle-bin; # added 2017-04-05
torch = throw "torch has been removed, as the upstream project has been abandoned"; # added 2020-03-28
torch-hdf5 = throw "torch-hdf5 has been removed, as the upstream project has been abandoned"; # added 2020-03-28

View File

@ -16314,7 +16314,7 @@ in
libgpgerror = callPackage ../development/libraries/libgpg-error { };
# https://github.com/gpg/libgpg-error/blob/70058cd9f944d620764e57c838209afae8a58c78/README#L118-L140
# https://git.gnupg.org/cgi-bin/gitweb.cgi?p=libgpg-error.git;a=blob;f=README;h=fd6e1a83f55696c1f7a08f6dfca08b2d6b7617ec;hb=70058cd9f944d620764e57c838209afae8a58c78#l118
libgpgerror-gen-posix-lock-obj = libgpgerror.override {
genPosixLockObjOnly = true;
};
@ -19256,7 +19256,7 @@ in
gofish = callPackage ../servers/gopher/gofish { };
grafana = callPackage ../servers/monitoring/grafana { };
grafanaPlugins = dontRecurseIntoAttrs (callPackage ../servers/monitoring/grafana/plugins { });
grafanaPlugins = callPackages ../servers/monitoring/grafana/plugins { };
grafana-agent = callPackage ../servers/monitoring/grafana-agent { };
@ -20021,9 +20021,8 @@ in
trafficserver = callPackage ../servers/http/trafficserver { };
inherit (callPackages ../servers/http/tomcat { })
tomcat7
tomcat8
tomcat9;
tomcat9
tomcat10;
tomcat_mysql_jdbc = callPackage ../servers/http/tomcat/jdbc/mysql { };
@ -26839,6 +26838,10 @@ in
git = gitMinimal;
};
survex = callPackage ../applications/misc/survex {
inherit (darwin.apple_sdk.frameworks) Carbon Cocoa;
};
sunvox = callPackage ../applications/audio/sunvox { };
svkbd = callPackage ../applications/accessibility/svkbd { };
@ -31275,6 +31278,10 @@ in
inherit (callPackage ../applications/networking/cluster/terraform { })
mkTerraform
terraform_0_12
terraform_0_13
terraform_0_14
terraform_0_15
terraform_1_0
terraform_plugins_test
;

View File

@ -1919,6 +1919,8 @@ in {
dipy = callPackage ../development/python-modules/dipy { };
directv = callPackage ../development/python-modules/directv { };
discid = callPackage ../development/python-modules/discid { };
discogs_client = callPackage ../development/python-modules/discogs_client { };